:root {
    /* Biru Tua/Navy (Header/Footer/Text) */
    --primary: #0a3161;

    /* Biru Muda (Elemen Pendukung/Ikon) */
    --secondary: #0391df;

    /* Oranye Utama (Tombol Aksen/Highlight) */
    --accent: #fd6a02;

    /* Oranye Muda (Background Section/Hover) */
    --accent-two: #ff9d42;

    /* Hijau Tombol WhatsApp */
    --success: #46813d;

    /* Netral */
    --black: #1a1a1a;
    --white: #ffffff;
    --grey: #f4f7fa;
    /* Warna background abu-abu sangat muda di gambar */
}

/* Utils */
.mb-32 {
    margin-bottom: 32px;
}

/* End Utils */


/* Button */
.button-layout {
    background-color: #fd6a02;
    color: #ffffff;
    font-family: "Open Sans", sans-serif;
    font-size: 16px;
    transition: all 0.3s ease;
    padding: 12px 24px;
    font-weight: 500;
    border-radius: 4px;
    border: 1px solid transparent;
}

.button-layout:hover {
    filter: brightness(0.9);
    color: #ffffff !important;
}

.button-whatsapp {
    cursor: default;
}

.fab-container {
    z-index: 100;
    position: fixed;
    bottom: 16px;
    right: 24px;
}

.fab-container img {
    width: 60px;
    height: 60px;
    cursor: pointer;
}

.btn-primary {
    background-color: #0391df !important;
    border-color: #0391df !important;
    color: #fff !important;
}
/* End Button */

/* Navbar */
.custom-brand {
    text-decoration: none !important;
}

.brand-icon-wrapper img {
    width: auto;
    height: 40px;
    color: white;
    object-fit: contain;
    margin-right: 8px;
}

.brand-icon-wrapper span {
    font-family: 'Open Sans', sans-serif;
    font-size: 1.3rem;
    letter-spacing: -0.5px;
    color: var(--black);

}

.btn-wa {
    background: linear-gradient(135deg, #25D366, #128C7E); /* Gradasi hijau elegan */
    color: white;
    width: 42px;
    height: 42px;
    border: none;
    box-shadow: 0 4px 6px rgba(37, 211, 102, 0.3);
    transition: transform 0.2s ease-in-out;
}

.btn-wa:hover {
    color: white;
    transform: scale(1.05);
}

.custom-toggler:focus,
.btn-wa:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(63, 26, 194, 0.2);
}

.navbar-nav .nav-link {
    color: #4a4a4a !important;
    padding-right: 1.25rem !important;
    padding-left: 1.25rem !important;
}

.navbar-nav .nav-link:hover {
    color: var(--secondary) !important;
}

/* Footer */
.footer {
    background-color: var(--primary) !important;
}

.footer-link {
    font: 16px "Roboto", sans-serif;
    text-decoration-line: none;
}

.footer-link:hover {
    text-decoration: none;
    color: #19abfc !important;
}

.footer-social-container .footer-social-icon {
    font-size: 2rem;
    margin-right: 16px;
}

/* End Footer */

@media (max-width: 767.98px) {

    /* Navbar */
    .navbar-ahlinyaweb.bg-transparent.navbar-light.navbar-scrolled {
        opacity: 1;
        visibility: visible;
    }

    /* End Navbar */

    /* Button */
    .fab-container {
        right: 8px;
    }

    /* End Button */


    /* footer */
    .footer {
        margin-top: 0;
    }

    /* end footer */
}

@media (max-width: 991.98px) {

    #layoutDefault,
    #layoutDefault_footer {
        overflow-x: hidden !important;
    }

    /* footer */
    .footer {
        margin-top: 0;
    }

    /* end footer */
}
